Subject: Re:draft-zhang-l3vpn-vr-mcast-00.txt

From: "[email-masked]" <[email-masked]>
Date: Thu, 2 Jun 2005 13:14:18 +0800

Hi,everyone:
I am Hong-Ke Zhang and glad to contribute our draft to get your comments. First, I give an introduction as follows:
 It is known that the communication costs can be reduced and the work efficiency can be improved greatly to a company through using VPN. The VPN will act as an important role in next generation network. Multicast is also a hot point and many research have been studyed in it. The client also need multicast service in VPN network, so it is necessary to complete multicast in VNP. Along with the L3VPN work group begin to think of multicast, the multicast research becomes more and more important in L3VPN work group.
 At present, two main solutino methods about VPN have been proposed, i.e. the approach of BGP/MPLS VPN and the approach of VR-Based VPN. Some drafts have been proposed based on the approach of BGP/MPLS VPN to provide multicast serve. But there is few draft based on VR VPN. The VR VPN has the advange of independence and scalability. So we propose a draft for multicast based on VR VPN.
Because the function of VR can be consider as an actual router and the method of VR VPN is independent from present route protocol, it should be no problem to deploy the multicast protocol such as PIM-SM or PIM-SSM in VR.
 The approach in our draft fits for those service provider network without backone VR or without need for effect of backone VR. The idea of our approach is utilizing present route protocol such as PIM-DM or MPLS P2MP sufficiently to realize multicast service in VPN network. The detail of our draft are described including auto-discovery, encapsulation, interoperability, routing table and etc.. The performance analysis is also satisfying. 
Above all, I hope you can give me the help and your comments.
Best regards with many thanks 
Hong-Ke Zhang 

　　　　　　　　HKzhang
　　　　　　　　[email-masked]
　　　　　　　　　　2005-06-02